> For the complete documentation index, see [llms.txt](https://docs.zkpass.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zkpass.org/developer-guides/js-sdk/api-references.md).

# API References

### **Constructor**

> TransgateConnect(appid)

#### **Parameters**

> `appid`(string) - project appid

### **Instance Methods**

* `isTransgateAvailable`() - Whether the user has installed the TransGate extension.
* `launch(schemaId, address)` - Initiate the validation of the schema corresponding to the schemaId then return the result.
  * **Parameters**
    * `schemaId`(string) - The schema ID that added in the project.
    * `address`(string) - Optional, specify a user address to be included in the final proof, confirming its relevance or ownership.
  * **Return**
    * `allocatorAddress`(string) - The address of the allocator node.
    * `allocatorSignature`(string) - Signature of the task meta data by the allocator node.
    * `publicFields`(Object) - Values of public fields defined in schema.
    * `publicFieldsHash`(string) - Hash of public field values.
    * `taskId`(string) - Unique id of the task allocated by the allocator node.
    * `uHash`(string) - Hash value of user unique id in the data source.
    * `validatorAddress`(string) - The address of the validator node.
    * `validatorSignature`(string) - The signature of the verification result by the allocator node.
    * `recipient`(string) - Optional, when calling the `launch` function and passing in the address, it will return this value.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zkpass.org/developer-guides/js-sdk/api-references.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
